
QGIS Application - Feature request #10283

Geometry widget

2014-05-16 03:07 AM - Andreas Neumann

Status: Open

Priority: Normal

Assignee:

Category: GUI

Pull Request or Patch supplied:No Resolution:

Easy fix?: No Copied to github as #: 18712

Description

A new "geometry widget" type should be added. The idea is to have a widget in a drag and drop form, autogenerated form or custom form

that allows to get information on the geometry and edit the coordinates of a geometry.

The widget could be a button in the form that opens a dialogue. In the dialogue, the user could see information about the geometry:

    -  Type of Geometry: POINT, LINESTRING, POLYGON, MULTI... etc.

    -  Is geometry valid? Boolean

    -  For multi-objects: number of rings/parts

    -  For linestrings or polygons: number of vertices

The widget should also allow to edit the coordinates of the geometry through a textbox. The textbox should contain the WKT

representation of the geometry and should allow the edition of individual vertices. When moving the mouse-cursor in this text-editor, the

widget should highlight the vertex where the mouse-cursor is in the map. See also the plain-geometry-editor by Denis Rouzaud.

I think this should be core QGIS functionality and should not require a plugin.

History

#1 - 2014-05-22 01:57 AM - Matthias Kuhn

I think adding a possibility to add a geometry to a geometryless row should be available from this widget as well. Or would a a separate widget for that be

preferred?

#2 - 2017-05-01 12:48 AM - Giovanni Manghi

- Easy fix? set to No
